package com.yingxin.prms.dto;

import java.util.Map;

public class SingleHostStatus {

    private String clusterName;

    private String hostName;

    private Map<String, Object> hostStatus;

    public SingleHostStatus(String clusterName, String hostName, Map<String, Object> hostStatus) {
        this.clusterName = clusterName;
        this.hostName = hostName;
        this.hostStatus = hostStatus;
    }

    public String getClusterName() {
        return clusterName;
    }

    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public Map<String, Object> getHostStatus() {
        return hostStatus;
    }

    public void setHostStatus(Map<String, Object> hostStatus) {
        this.hostStatus = hostStatus;
    }
}
